from PyQt5.QtCore import Qt, QSortFilterProxyModel, QModelIndex


class ComponentProxyModel(QSortFilterProxyModel):
    def __init__(self):
        super().__init__()

    def filterAcceptsRow(self, row: int, parent: QModelIndex) -> bool:
        index = self.sourceModel().index(row, 0, parent)
        component = self.sourceModel().data(index, Qt.UserRole)
        return component.visible

    def lessThan(self, source_left: QModelIndex, source_right: QModelIndex) -> bool:
        component_left = self.sourceModel().data(source_left, Qt.UserRole)
        component_right = self.sourceModel().data(source_right, Qt.UserRole)
        return component_left.priority < component_right.priority
