from PyQt5.QtCore import QModelIndex
from PyQt5.QtWidgets import QListView

from astra_installer.settings.components import ComponentsSetting
from astra_installer_qt.components_manager import ComponentsManager
from astra_installer_qt.radio_button_delegate import RadioButtonDelegate


class ExclusiveComponentsManager(ComponentsManager):
    def __init__(self, listview: QListView, backend: ComponentsSetting) -> None:
        super().__init__(listview, backend)
        self.listview.setItemDelegate(RadioButtonDelegate())

    def check_index(self, index: QModelIndex) -> None:
        self.model.check_index_exclusively(self.proxy.mapToSource(index))
