from PyQt5.QtCore import Qt, QModelIndex
from PyQt5.QtGui import QPainter
from PyQt5.QtWidgets import QApplication, QStyle
from PyQt5.QtWidgets import QStyledItemDelegate, QStyleOptionButton, QStyleOptionViewItem


class RadioButtonDelegate(QStyledItemDelegate):
    def paint(self, painter: QPainter, option: QStyleOptionViewItem, index: QModelIndex):
        if index.isValid():
            option_button_style = QStyleOptionButton()
            option_button_style.rect = option.rect
            option_button_style.text = index.data()
            option_button_style.state |= QStyle.State_On if index.data(Qt.CheckStateRole) else QStyle.State_Off
            option_button_style.state |= QStyle.State_Enabled
            widget = option.widget
            style = widget.style() if widget else QApplication.style()
            style.drawControl(QStyle.CE_RadioButton, option_button_style, painter, widget)
        else:
            QStyledItemDelegate.paint(self, painter, option, index)
