#
# Copyright (C) 2014  Red Hat, Inc.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions of
# the GNU General Public License v.2, or (at your option) any later version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY expressed or implied, including the implied warranties of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.  You should have received a copy of the
# GNU General Public License along with this program; if not, write to the
# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.  Any Red Hat trademarks that are incorporated in the
# source code or documentation are not subject to the GNU General Public
# License and may only be used or replicated with the express permission of
# Red Hat, Inc.
#
# Red Hat Author(s): Vojtech Trefny <vtrefny@redhat.com>
#

from blivetgui.actions_toolbar import ActionsToolbar


class InstallerActionsToolbar(ActionsToolbar):
    def __init__(self, blivet_gui) -> None:
        super().__init__(blivet_gui)
        self.__button_apply = self.buttons['apply']
        self.__button_clear = self.buttons['clear']
        self.__button_back = self.buttons['undo']
        self.__main_menu_menubutton = self.blivet_gui.builder.get_object("mainmenu_menubutton")
        self.__setup()

    def __setup(self) -> None:
        self.__button_apply.hide()
        self.buttons.pop('apply')
        self.__button_clear.hide()
        self.buttons.pop('clear')
